namespace XGame.Framework.Persistence
{
    public sealed class PersistenceKey
    {
        public string Key { get; }
        public PersistenceKey(string key)
        {
            Key = key;
        }

        public static implicit operator string(PersistenceKey persistenceKey)
        {
            return persistenceKey.Key;
        }
    }
}
